Bug 440570 - inappropriate overwriting of /etc/resolv.conf when named running
inappropriate overwriting of /etc/resolv.conf when named running
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-03 23:45 EDT by Sam W.
Modified: 2008-06-16 23:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 23:04:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam W. 2008-04-03 23:45:24 EDT
Description of problem:

When named is started, NetworkManager overwrites /etc/resolv.conf with a config
file directing resolution to localhost even though the localhost nameserver may
not be configured to act as a recursive resolver.  When running an
authoritative-only nameserver, recursion may still need to be handled by another
machine (or another process listening on another address).

Version-Release number of selected component (if applicable):

bind-9.4.2-3.fc7
NetworkManager-0.6.6-1.fc7

How reproducible:


Steps to Reproduce:
1.  install the bind package, configured with "recursion no;".  
2.  start named
3.  attempt resolution ("dig www.nytimes.com a")
  
Actual results:


Expected results:


Additional info:
Comment 1 Dan Williams 2008-04-10 12:20:24 EDT
Adam; how does one know if named is running in caching mode or not?  I'm not
sure I understand the specific configuration being used here...
Comment 2 Adam Tkac 2008-04-14 05:56:41 EDT
(In reply to comment #1)
> Adam; how does one know if named is running in caching mode or not?  I'm not
> sure I understand the specific configuration being used here...

Hm, you can configure named anyway and in some cases named acts as
authoritative-only server so you cannot use it as local resolver. Find if named
runs in "caching mode" is very different. There is huge amount of options whose
modify it. I think the best way how solve this is add some option to NM and use
named as local resolver if user explicitly wants it (in specific configuration
cases). Additionaly I can revive caching-nameserver package and if this package
is installed named runs as local caching server and NM will use it as local
resolver. Do you have any better idea?
Comment 3 Bug Zapper 2008-05-14 11:24:48 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 23:04:52 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.